Change log

Home
API Change
Resource API tariffUrl added to GET /chargers response

Note:
The tariffUrl might not be always provided (can be empty). It depends on the EV integration.

Resource API sessionCost added to GET /sessions response e.g. "£2.73"

Note:
The ongoing session cost might may be empty (or may stay at zero until final cost is calculated). It depends on the EV integration.
e.g. When CityEV moves to dynamic tariffs and start providing ongoing session cost, this field would reflect the ongoing session cost.

Resource API isSessionCostIncremental added to GET /sessions response

Indicates whether the session cost changes over time or is calculated only at the end of the session

isSessionCostIncrementalComment
0 sessionCost calculated at end of a session and it may never change until session ends
1sessionCost received from EV provider and the value may increment over time

Resource API sessionCostExceedWarning added to GET /sessions response e.g. "Your current session cost is £2.73 below the pre-authorised amount £15.00. If you wish to avoid going over the pre-authorised amount, you may choose to stop the ongoing session."

Note:
The session cost exceed warning may be empty. It depends on the brand set up.

Back